Subject: Re: bug#64226: 30.0.50; emacs-lisp-native-compile-and-load permission error

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Aug 2023 12:19:20 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: No Wayman <[email-masked]>,  [email-masked]
> Date: Wed, 09 Aug 2023 09:22:35 -0400
> 
> Okay I pushed b93107c20b2 to fix this.  I tested as best as I could but
> tweaking these dynamic variables is always tricky.

These changes broke building Emacs in the source tree: now all the
*.eln files produced by the build's ELC+ELN rule are written to the
user's eln-cache directory instead of into native-lisp subdirectory of
the build tree.  To reproduce, touch, say, lisp/files.el or delete
lisp/files.elc, and then say "make" -- you will see that the *.eln
file is written under ~/.emacs.d/eln-cache, and if you also delete the
corresponding files-NNNN.eln file from native-lisp, Emacs will load
files.elc during loadup.